Subject: Re: powerpc/fsl-pci: Unify pci/pcie initialization code

From: Daniel Walker <[email-masked]>
Date: Thu, 5 Nov 2015 10:48:12 -0800

Hi,

905e75c46dba5f3061049277e4eb7110beedba43:arch/powerpc/platforms/85xx/mpc85xx_ads.c

This commit seems to cause problems with PCI devices doing DMA, just 
with mpc85xx ads. If you do the "fsl_add_bridge()" after you setup the 
ppc_md.pci_exclude_device to mpc85xx_exclude_device, then the 
early_read_config_word() calls in 
arch/powerpc/sysdev/fsl_pci.c:setup_pci_cmd() are like no-ops.

This issue was found by David Beazley (on the CC), he can respond to 
more detailed questions on it. The fix he came up with was to remove the 
"pci_exclude_device".

Daniel